Subject: Re: USB-related build errors on Tegra in next-20130319

From: Felipe Balbi <[email-masked]>
Date: Wed, 20 Mar 2013 19:30:06 +0200

On Wed, Mar 20, 2013 at 11:26:50AM -0600, Stephen Warren wrote:
> On 03/20/2013 11:11 AM, Felipe Balbi wrote:
> > Hi,
> > 
> > On Wed, Mar 20, 2013 at 10:51:49AM -0600, Stephen Warren wrote:
> >> On 03/20/2013 10:45 AM, Felipe Balbi wrote:
> >>> Hi,
> >>> 
> >>> On Wed, Mar 20, 2013 at 10:39:11AM -0600, Stephen Warren
> >>> wrote:
> >>>> On 03/20/2013 06:20 AM, Felipe Balbi wrote:
> >> ...
> >>>> The patch you gave fixes the Kconfig warnings, but not the
> >>>> build failure.
> >> ...
> >>>> For now, I think the correct solution is to have
> >>>> USB_EHCI_TEGRA select USB_PHY. I validated that solves the
> >>>> build problem, and has the bonus of not needing any changes
> >>>> to tegra_defconfig.
> >> ...
> >>> Alright, do you want to send that patch ? My bad that I missed 
> >>> that build error...
> >> 
> >> Sure. Do you want to roll it into your patch and repost it, or me
> >> to send a separate patch?
> 
> Oops, sorry, I meant to write "Do you want *me* to" ...
> 
> > updated patch below:
> 
> Anyway, the updated patch you sent does solve the problem, so:
> 
> Acked-by: Stephen Warren <[email-masked]>
> Tested-by: Stephen Warren <[email-masked]>
> (both build and ran it on HW to make sure nothing was missing)
> 
> Feel free to use yours or the separate one I sent; entirely your call.

I wonder if the third option isn't nicer ?

select USB_PHY if USB
select USB_ULPI
select USB_ULPI_VIEWPORT

then all changes are in tegra's Kconfig itself ?

-- 
balbi